<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateGatewayEndpointDigitalAccessBriReq StructType
 * @subpackage Structs
 */
class UpdateGatewayEndpointDigitalAccessBriReq extends NameAndGUIDRequest
{
    /**
     * The endpoint
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var XGatewayEndpointDigitalBri
     */
    public $endpoint;
    /**
     * Constructor method for UpdateGatewayEndpointDigitalAccessBriReq
     * @uses UpdateGatewayEndpointDigitalAccessBriReq::setEndpoint()
     * @param XGatewayEndpointDigitalBri $endpoint
     */
    public function __construct(XGatewayEndpointDigitalBri $endpoint = null)
    {
        $this
            ->setEndpoint($endpoint);
    }
    /**
     * Get endpoint value
     * @return XGatewayEndpointDigitalBri|null
     */
    public function getEndpoint()
    {
        return $this->endpoint;
    }
    /**
     * Set endpoint value
     * @param XGatewayEndpointDigitalBri $endpoint
     * @return UpdateGatewayEndpointDigitalAccessBriReq
     */
    public function setEndpoint(XGatewayEndpointDigitalBri $endpoint = null)
    {
        $this->endpoint = $endpoint;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return UpdateGatewayEndpointDigitalAccessBriReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
